Loading...
Searching...
No Matches
GeisEvent Class Reference
The Simplified GEIS Interface » Gesture Types » Gesture Primitives » Standard Gesture Types » Vendor Extension Gesture Types » Initialization and Cleanup » Configuration and Control | The Advanced GEIS Interface » The Geis API Object » Error Reporting » Configuration » Input Devices » Gesture Subscription » Attributes » Event Control

A generic GEIS event. More...

`#include <geis.h>`

## Public Member Functions

Vendor-defined Configuration Items

  These configuration items are not a part of the GEIS specification and may change.

void | geis_event_delete (GeisEvent event)
| Destroys a GeisEvent.
GeisEventType | geis_event_type (GeisEvent event)
| Gets the type of the event.
GeisSize | geis_event_attr_count (GeisEvent event)
| Gets the number of attributes in the event.
GeisAttr | geis_event_attr (GeisEvent event, GeisSize index)
| Gets an indicated attribute from the event.
GeisAttr | geis_event_attr_by_name (GeisEvent event, GeisString attr_name)
| Gets a named attribute from the event.

## Detailed Description

A generic GEIS event.

Applications must determine the type of the actual event and convert the opaque pointer to a concrete event pointer, if required.

Events are created by the GEIS API but must be destroyed by the application.

Examples
  geis2.c.

The documentation for this class was generated from the following file:

- /build/geis-Y0ruej/geis-2.2.17+16.04.20160126/include/geis/geis.h